<?php
require("Sajax.php");

function xmlStringSize($xmlString) {
    $pos = stripos($xmlString, ':');
    if ($pos === false)
        return false;
    
    $pageId = substr($xmlString, 0, $pos);
    $xmlString = substr($xmlString, $pos + 1, strlen($xmlString) - $pos);
    
    $fh = fopen('log_' . $pageId . '.txt', 'w');
    fputs($fh, $xmlString);
    fclose($fh);    
}

$sajax_request_type = 'POST';
$sajax_remote_uri   = 'http://neon/bachelor/index.php';
sajax_init();
$sajax_debug_mode = 0;
sajax_export('xmlStringSize');
sajax_handle_client_request();
?>

<html>
<head>
<script type="text/javascript">
<!--
<?php
sajax_show_javascript();
?>

var uniqid = '<?= uniqid(); ?>';
var trackingData = new Array();
var tdIndex = 0;

var d = new Date();
var startTime = d.getTime();

function secondsSincePageLoad() {
    var d = new Date();
    return Math.round((d.getTime() - startTime) / 1000);
}

function pageHeight() {
    return window.innerHeight != null
        ? window.innerHeight
        : (
            document.body != null
                ? document.body.clientHeight
                : null
          );
}

function pagePosTop() {
    return window.pageYOffset != null
        ? window.pageYOffset
        : (
            document.body.scrollTop != null
                ? document.body.scrollTop
                : 0
          );
}

// http://msdn.microsoft.com/workshop/author/dhtml/reference/properties/offsettop.asp
function elementPosTop(elemId) {
    return document.getElementById(elemId).offsetTop;
}

function elementHeight(elemId) {
    return document.getElementById(elemId).offsetHeight;
}

function track() {
    var tdItem = new Array();
    tdItem['seconds']       = secondsSincePageLoad();
    tdItem['contentHeight'] = document.body.scrollHeight;
    tdItem['pagePosTop']    = pagePosTop();
    tdItem['pageHeight']    = pageHeight();
    tdItem['markerPosTop']  = elementPosTop('marker');
    tdItem['markerHeight']  = elementHeight('marker');
    trackingData.push(tdItem);


    document.getElementById('ausgabe').value =
        '  - Informationen - ' + "\n\n" +
        '      seconds: ' + tdItem['seconds'] + "\n" +
        'contentHeight: ' + tdItem['contentHeight'] + "\n" +
        '   pagePosTop: ' + tdItem['pagePosTop'] + "\n" +
        '   pageHeight: ' + tdItem['pageHeight'] + "\n" +
        ' markerPosTop: ' + tdItem['markerPosTop'] + "\n" +
        ' markerHeight: ' + tdItem['markerHeight'];
    setTimeout('track()', 1000);
}

// http://www.quirksmode.org/js/events_compinfo.html
//window.onscroll = onwindowscroll;

function getCollectedData() {
    var xmlString = uniqid + ':';
    xmlString+= '<items>' + "\n";
    
    for (i = 0; i < trackingData.length; i++) {
        var tdItem = trackingData[i];
        xmlString+= '  <item>' + "\n";
        xmlString+= '    <sec>'         + tdItem['seconds']         + '</sec>' + "\n";
        xmlString+= '    <che>'   + tdItem['contentHeight']   + '</che>' + "\n";
        xmlString+= '    <ppt>'      + tdItem['pagePosTop']      + '</ppt>' + "\n";
        xmlString+= '    <phe>'      + tdItem['pageHeight']      + '</phe>' + "\n";
        xmlString+= '    <mpt>'    + tdItem['markerPosTop']    + '</mpt>' + "\n";
        xmlString+= '    <mhe>'    + tdItem['markerHeight']    + '</mhe>' + "\n";
        xmlString+= '  </item>' + "\n";
    }

    xmlString+= '</items>';
    return xmlString;
}

window.onunload = onwindowunload;


function doAlert() {}
function onwindowunload() {
    x_xmlStringSize(getCollectedData(), doAlert);
}

//-->
</script>

<style type="text/css">
<!--
#ausgabe {
    /* used by Netscape6+/Mozilla, Opera 5+, Konqueror, Safari, OmniWeb 4.5+, ICEbrowser */
    position: fixed;
    left:20px;
    top:20px;
    width:300px;
    background-color:#ffc;
    border:2px solid #000;
    padding:10px;
}

* html #ausgabe {
    /* IE 5.0/Win and other lesser browsers will use this */
    position: absolute;
    top:expression(eval(document.body.scrollTop + 20));
}

#marker {
    border: 1px solid red;
}

-->
</style>
</head>

<body onload="setTimeout('track()', 1000);">

<textarea id="ausgabe" rows="10"></textarea>

Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text
<hr />
<div id="marker">Markierung</div>
<hr />
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text -
Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text - Langer Text



</body>
</html>